List notifications
List notifications for a given time range, optionally filtered by type (sms_notification, email_notification, phone_notification, or push_notification).
A Notification is created when an Incident is triggered or escalated.
For more information see the API Concepts Document
Scoped OAuth requires: users:notifications.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseTime zone in which results will be rendered. This will default to the account time zone.
tzinfoThe start of the date range over which you want to search. The time element is optional.
date-timeThe end of the date range over which you want to search. This should be in the same format as since. The size of the date range must be less than 3 months.
date-timeReturn notification of this type only.
Value in
- "sms_notification"
- "email_notification"
- "phone_notification"
- "push_notification"
Array of additional details to include.
Value in
- "users"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Update a maintenance window PUT
Update an existing maintenance window. A Maintenance Window is used to temporarily disable one or more Services for a set period of time. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#maintenance-windows) Scoped OAuth requires: `services.write`
List notifications GET
List notifications for a given time range, optionally filtered by type (sms_notification, email_notification, phone_notification, or push_notification). A Notification is created when an Incident is triggered or escalated. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#notifications) Scoped OAuth requires: `users:notifications.read`